PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_graph_node Struct Reference
SPA » Graph

`#include <spa/graph/graph.h>`

## Data Fields
struct spa_list | link
| link in graph nodes list
struct spa_graph * | graph
| owner graph
struct spa_list | ports [2]
| list of input and output ports
struct spa_list | links
| list of links to next nodes
uint32_t | flags
| node flags
struct spa_graph_state * | state
| state of the node
struct spa_graph_link | graph_link
| link in graph
struct spa_graph * | subgraph
| subgraph or NULL
struct spa_callbacks | callbacks
struct spa_list | sched_link
| link for scheduler

## Detailed Description

Examples
  spa/examples/adapter-control.c, and spa/examples/example-control.c.

## Field Documentation

## ◆ link

struct spa_list spa_graph_node::link

link in graph nodes list

## ◆ graph

struct spa_graph* spa_graph_node::graph

owner graph

## ◆ ports

struct spa_list spa_graph_node::ports[2]

list of input and output ports

## ◆ links

struct spa_list spa_graph_node::links

list of links to next nodes

## ◆ flags

uint32_t spa_graph_node::flags

node flags

## ◆ state

struct spa_graph_state* spa_graph_node::state

state of the node

## ◆ graph_link

struct spa_graph_link spa_graph_node::graph_link

link in graph

## ◆ subgraph

struct spa_graph* spa_graph_node::subgraph

subgraph or NULL

## ◆ callbacks

struct spa_callbacks spa_graph_node::callbacks

## ◆ sched_link

struct spa_list spa_graph_node::sched_link

link for scheduler

The documentation for this struct was generated from the following file:

- spa/graph/graph.h